    One-dimensional power-law function.

powlaw1d

It is assumed that the independent axis is positive at all points.

>>> create_model_component("powlaw1d", "mdl")
>>> print(mdl)

Create a component of the powlaw1d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.gamma thawed 1 -10 10 mdl.ref frozen 1 -3.40282e+38 3.40282e+38 mdl.ampl thawed 1 0 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
gamma
The photon index of the power law.
ref
As the reference point is degenerate with the amplitude, the

alwaysfrozen attribute of the reference point is set so that it can not be varied during a fit.
ampl
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * (x / ref)^(-gamma)

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023